
import 'dart:async';

import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class FlutterKeychainaccess {
  static const MethodChannel _channel =
      const MethodChannel('flutter_keychainaccess');

  static Future<void> write({@required service, @required String key, @required String value}) async {
    await _channel.invokeMethod('write', <String, dynamic>{'service': service, 'key': key, 'value': value});
  }

  static Future<void> remove({@required service, @required String key}) async {
    await _channel.invokeMethod('remove', <String, dynamic>{'service': service, 'key': key});
  }

  static Future<String> read({@required service, @required String key}) async {
    return await _channel.invokeMethod('read',  <String, dynamic>{'service': service, 'key': key});
  }

  static Future<Map<String, String>> allItems({@required service}) async {
    Map<dynamic, dynamic> result = await _channel.invokeMethod('allItems',  <String, dynamic>{'service': service});
    return result.map((key, value) => MapEntry<String, String>(key as String, value as String));
  }
}
